import React from 'react';
import PropTypes from 'prop-types';
export interface PageProps {
    layout: string;
    children: React.ReactNode;
}
declare class Page extends React.Component<PageProps, {}> {
    static propTypes: {
        layout: PropTypes.Validator<string>;
        children: PropTypes.Validator<string | number | boolean | {} | PropTypes.ReactElementLike | PropTypes.ReactNodeArray>;
    };
    getSections(parent: any): {
        [x: number]: any;
    };
    getLayout(name: string, layouts: any[string], sections: any): React.DetailedReactHTMLElement<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
    render(): JSX.Element;
}
export default Page;
