import React from 'react';
import PropTypes from 'prop-types';
export interface ProviderProps {
    layouts: {};
    children: JSX.Element;
}
declare class Provider extends React.PureComponent<ProviderProps, {}> {
    static propTypes: {
        layouts: PropTypes.Validator<{
            [x: string]: any;
        }>;
        children: PropTypes.Validator<PropTypes.ReactElementLike>;
    };
    state: {
        layouts: {};
        layout: string;
        sections: null;
    };
    setData: ({ layout, sections }: any) => void;
    render(): JSX.Element;
}
export default Provider;
