import React from 'react';
import PropTypes from 'prop-types';
export interface SectionProps {
    slot: string;
    children?: React.ReactNode;
}
declare class Section extends React.PureComponent<SectionProps, {}> {
    static displayName: string;
    static propTypes: {
        slot: PropTypes.Validator<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    render(): string;
}
export default Section;
