import React from 'react';
import PropTypes from 'prop-types';
export interface SlotProps {
    sections: any;
    name: string;
    component?: any;
    wrapper?: JSX.Element;
    className?: string;
    style?: {};
    children?: React.ReactNode;
}
declare class Slot extends React.Component<SlotProps, {}> {
    static propTypes: {
        sections: PropTypes.Validator<object>;
        name: PropTypes.Validator<string>;
        component: PropTypes.Requireable<any>;
        wrapper: PropTypes.Requireable<PropTypes.ReactElementLike>;
        className: PropTypes.Requireable<string>;
        style: PropTypes.Requireable<object>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    static defaultProps: {
        component: string;
        wrapper: undefined;
        className: undefined;
        style: {};
        children: boolean;
    };
    getSection(sectionName: string): any | false;
    render(): any;
}
export default Slot;
