"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var prop_types_1 = require("prop-types");
var Context_1 = require("./Context");
var Provider = /** @class */ (function (_super) {
    __extends(Provider, _super);
    function Provider() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            layouts: _this.props.layouts,
            layout: '',
            sections: null
        };
        _this.setData = function (_a) {
            var layout = _a.layout, sections = _a.sections;
            if (!_this.state.sections) {
                _this.setState({ layout: layout, sections: sections });
            }
        };
        return _this;
    }
    Provider.prototype.render = function () {
        return (react_1.default.createElement(Context_1.default.Provider, { value: __assign({}, this.state, { setData: this.setData }) }, this.props.children));
    };
    Provider.propTypes = {
        layouts: prop_types_1.default.objectOf(prop_types_1.default.any).isRequired,
        children: prop_types_1.default.element.isRequired
    };
    return Provider;
}(react_1.default.PureComponent));
exports.default = Provider;
//# sourceMappingURL=Provider.js.map